package.json
author Mark Banner <standard8@mozilla.com>
Mon, 05 Mar 2018 10:34:38 +0000
changeset 462333 64c5f14f196bb4e24c87601886b8fdcbb446fd4b
parent 457146 ef10b7961997543bff11320a88dbbb616f3f7153
child 469564 6e065d127de03d7fee8575a474c5bfaba4f54caf
permissions -rw-r--r--
Bug 1443093 - Update eslint-plugin-no-unsanitized to 3.0.0 / eslint to 4.18.2. r=mossop Also change eslint-plugin-mozilla's globals.js to use eslint-scope rather than escope as ESLint 4.x changed to eslint-scope. This avoids dependency issues that were masked by the depedencies of eslint-plugin-no-unsanitized's previous version. MozReview-Commit-ID: 6wLY7Oj0am3

{
  "name": "mozillaeslintsetup",
  "description": "This package file is for setup of ESLint only for editor integration.",
  "repository": {},
  "license": "MPL-2.0",
  "dependencies": {
    "eslint": "4.18.2",
    "eslint-plugin-html": "4.0.2",
    "eslint-plugin-mozilla": "file:tools/lint/eslint/eslint-plugin-mozilla",
    "eslint-plugin-no-unsanitized": "3.0.0",
    "eslint-plugin-react": "7.1.0",
    "eslint-plugin-spidermonkey-js": "file:tools/lint/eslint/eslint-plugin-spidermonkey-js"
  },
  "devDependencies": {}
}